<script setup lang="ts">
import {type Product, getImageUrl} from '@/types/Product'
import { ref } from 'vue';

const props= defineProps<{
    product:Product
}>()
const emit = defineEmits<{
    selectedProduct:[Product] // selectedProduct(Product p)
}>()
const selected = function(){
    console.log('ProductCard: '+props.product);
    emit('selectedProduct',props.product)
}
const sheetBackgroundColor = ref('#FFFFFF');
const changeBackgroundColor = (isMouseOver: any) => {
  // ฟังก์ชันที่เรียกเมื่อเมาส์เข้าหรือออกจาก v-sheet
  sheetBackgroundColor.value = isMouseOver ? '#yourNewColor' : '#FFFFFF';
};
</script>
<template>
    <v-sheet width="155" height="155" elevation="4"  @click="selected" style="background-color: #EDEDED; border-radius: 10px;"
    @mouseover="changeBackgroundColor(true)"
    @mouseleave="changeBackgroundColor(false)"
    :style="{ backgroundColor: sheetBackgroundColor }">
    <v-img min-width="100" height="100" cover :src="getImageUrl(product)"></v-img>
    <div style="text-align: center;">{{ product.name }} <br>{{ product.price }} บาท</div>
    </v-sheet>
</template>